// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.5
// 	protoc        v5.29.3
// source: internal/module/autoflow/engine/engine.proto

package engine

import (
	reflect "reflect"
	sync "sync"
	unsafe "unsafe"

	event "gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v17/pkg/event"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type HandleEventRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Event         *event.CloudEvent      `protobuf:"bytes,1,opt,name=event,proto3" json:"event,omitempty"`
	FlowProject   *event.Project         `protobuf:"bytes,2,opt,name=flow_project,json=flowProject,proto3" json:"flow_project,omitempty"`
	Variables     map[string]string      `protobuf:"bytes,3,rep,name=variables,proto3" json:"variables,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *HandleEventRequest) Reset() {
	*x = HandleEventRequest{}
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *HandleEventRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HandleEventRequest) ProtoMessage() {}

func (x *HandleEventRequest) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HandleEventRequest.ProtoReflect.Descriptor instead.
func (*HandleEventRequest) Descriptor() ([]byte, []int) {
	return file_internal_module_autoflow_engine_engine_proto_rawDescGZIP(), []int{0}
}

func (x *HandleEventRequest) GetEvent() *event.CloudEvent {
	if x != nil {
		return x.Event
	}
	return nil
}

func (x *HandleEventRequest) GetFlowProject() *event.Project {
	if x != nil {
		return x.FlowProject
	}
	return nil
}

func (x *HandleEventRequest) GetVariables() map[string]string {
	if x != nil {
		return x.Variables
	}
	return nil
}

type HandleEventWorkflowInput struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Event         *event.CloudEvent      `protobuf:"bytes,1,opt,name=event,proto3" json:"event,omitempty"`
	FlowProject   *event.Project         `protobuf:"bytes,2,opt,name=flow_project,json=flowProject,proto3" json:"flow_project,omitempty"`
	Entrypoint    string                 `protobuf:"bytes,3,opt,name=entrypoint,proto3" json:"entrypoint,omitempty"`
	Variables     map[string]string      `protobuf:"bytes,4,rep,name=variables,proto3" json:"variables,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *HandleEventWorkflowInput) Reset() {
	*x = HandleEventWorkflowInput{}
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *HandleEventWorkflowInput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HandleEventWorkflowInput) ProtoMessage() {}

func (x *HandleEventWorkflowInput) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HandleEventWorkflowInput.ProtoReflect.Descriptor instead.
func (*HandleEventWorkflowInput) Descriptor() ([]byte, []int) {
	return file_internal_module_autoflow_engine_engine_proto_rawDescGZIP(), []int{1}
}

func (x *HandleEventWorkflowInput) GetEvent() *event.CloudEvent {
	if x != nil {
		return x.Event
	}
	return nil
}

func (x *HandleEventWorkflowInput) GetFlowProject() *event.Project {
	if x != nil {
		return x.FlowProject
	}
	return nil
}

func (x *HandleEventWorkflowInput) GetEntrypoint() string {
	if x != nil {
		return x.Entrypoint
	}
	return ""
}

func (x *HandleEventWorkflowInput) GetVariables() map[string]string {
	if x != nil {
		return x.Variables
	}
	return nil
}

type HandleEventWorkflowOutput struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *HandleEventWorkflowOutput) Reset() {
	*x = HandleEventWorkflowOutput{}
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[2]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *HandleEventWorkflowOutput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HandleEventWorkflowOutput) ProtoMessage() {}

func (x *HandleEventWorkflowOutput) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[2]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HandleEventWorkflowOutput.ProtoReflect.Descriptor instead.
func (*HandleEventWorkflowOutput) Descriptor() ([]byte, []int) {
	return file_internal_module_autoflow_engine_engine_proto_rawDescGZIP(), []int{2}
}

type RunEventHandlerWorkflowInput struct {
	state            protoimpl.MessageState `protogen:"open.v1"`
	Event            *event.CloudEvent      `protobuf:"bytes,1,opt,name=event,proto3" json:"event,omitempty"`
	FlowProject      *event.Project         `protobuf:"bytes,2,opt,name=flow_project,json=flowProject,proto3" json:"flow_project,omitempty"`
	Entrypoint       string                 `protobuf:"bytes,3,opt,name=entrypoint,proto3" json:"entrypoint,omitempty"`
	Modules          []*ModuleSource        `protobuf:"bytes,4,rep,name=modules,proto3" json:"modules,omitempty"`
	Handler          uint32                 `protobuf:"varint,5,opt,name=handler,proto3" json:"handler,omitempty"`
	WorkflowIdPrefix string                 `protobuf:"bytes,6,opt,name=workflow_id_prefix,json=workflowIdPrefix,proto3" json:"workflow_id_prefix,omitempty"`
	Variables        map[string]string      `protobuf:"bytes,7,rep,name=variables,proto3" json:"variables,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
	unknownFields    protoimpl.UnknownFields
	sizeCache        protoimpl.SizeCache
}

func (x *RunEventHandlerWorkflowInput) Reset() {
	*x = RunEventHandlerWorkflowInput{}
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[3]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *RunEventHandlerWorkflowInput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RunEventHandlerWorkflowInput) ProtoMessage() {}

func (x *RunEventHandlerWorkflowInput) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[3]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RunEventHandlerWorkflowInput.ProtoReflect.Descriptor instead.
func (*RunEventHandlerWorkflowInput) Descriptor() ([]byte, []int) {
	return file_internal_module_autoflow_engine_engine_proto_rawDescGZIP(), []int{3}
}

func (x *RunEventHandlerWorkflowInput) GetEvent() *event.CloudEvent {
	if x != nil {
		return x.Event
	}
	return nil
}

func (x *RunEventHandlerWorkflowInput) GetFlowProject() *event.Project {
	if x != nil {
		return x.FlowProject
	}
	return nil
}

func (x *RunEventHandlerWorkflowInput) GetEntrypoint() string {
	if x != nil {
		return x.Entrypoint
	}
	return ""
}

func (x *RunEventHandlerWorkflowInput) GetModules() []*ModuleSource {
	if x != nil {
		return x.Modules
	}
	return nil
}

func (x *RunEventHandlerWorkflowInput) GetHandler() uint32 {
	if x != nil {
		return x.Handler
	}
	return 0
}

func (x *RunEventHandlerWorkflowInput) GetWorkflowIdPrefix() string {
	if x != nil {
		return x.WorkflowIdPrefix
	}
	return ""
}

func (x *RunEventHandlerWorkflowInput) GetVariables() map[string]string {
	if x != nil {
		return x.Variables
	}
	return nil
}

type RunEventHandlerWorkflowOutput struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *RunEventHandlerWorkflowOutput) Reset() {
	*x = RunEventHandlerWorkflowOutput{}
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[4]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *RunEventHandlerWorkflowOutput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RunEventHandlerWorkflowOutput) ProtoMessage() {}

func (x *RunEventHandlerWorkflowOutput) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[4]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RunEventHandlerWorkflowOutput.ProtoReflect.Descriptor instead.
func (*RunEventHandlerWorkflowOutput) Descriptor() ([]byte, []int) {
	return file_internal_module_autoflow_engine_engine_proto_rawDescGZIP(), []int{4}
}

type LoadAllEventHandlersActivityInput struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Event         *event.CloudEvent      `protobuf:"bytes,1,opt,name=event,proto3" json:"event,omitempty"`
	FlowProject   *event.Project         `protobuf:"bytes,2,opt,name=flow_project,json=flowProject,proto3" json:"flow_project,omitempty"`
	Entrypoint    string                 `protobuf:"bytes,3,opt,name=entrypoint,proto3" json:"entrypoint,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *LoadAllEventHandlersActivityInput) Reset() {
	*x = LoadAllEventHandlersActivityInput{}
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[5]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *LoadAllEventHandlersActivityInput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LoadAllEventHandlersActivityInput) ProtoMessage() {}

func (x *LoadAllEventHandlersActivityInput) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[5]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LoadAllEventHandlersActivityInput.ProtoReflect.Descriptor instead.
func (*LoadAllEventHandlersActivityInput) Descriptor() ([]byte, []int) {
	return file_internal_module_autoflow_engine_engine_proto_rawDescGZIP(), []int{5}
}

func (x *LoadAllEventHandlersActivityInput) GetEvent() *event.CloudEvent {
	if x != nil {
		return x.Event
	}
	return nil
}

func (x *LoadAllEventHandlersActivityInput) GetFlowProject() *event.Project {
	if x != nil {
		return x.FlowProject
	}
	return nil
}

func (x *LoadAllEventHandlersActivityInput) GetEntrypoint() string {
	if x != nil {
		return x.Entrypoint
	}
	return ""
}

type LoadAllEventHandlersActivityOutput struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Handlers      []*HandlerInfo         `protobuf:"bytes,1,rep,name=handlers,proto3" json:"handlers,omitempty"`
	Modules       []*ModuleSource        `protobuf:"bytes,2,rep,name=modules,proto3" json:"modules,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *LoadAllEventHandlersActivityOutput) Reset() {
	*x = LoadAllEventHandlersActivityOutput{}
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[6]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *LoadAllEventHandlersActivityOutput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LoadAllEventHandlersActivityOutput) ProtoMessage() {}

func (x *LoadAllEventHandlersActivityOutput) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[6]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LoadAllEventHandlersActivityOutput.ProtoReflect.Descriptor instead.
func (*LoadAllEventHandlersActivityOutput) Descriptor() ([]byte, []int) {
	return file_internal_module_autoflow_engine_engine_proto_rawDescGZIP(), []int{6}
}

func (x *LoadAllEventHandlersActivityOutput) GetHandlers() []*HandlerInfo {
	if x != nil {
		return x.Handlers
	}
	return nil
}

func (x *LoadAllEventHandlersActivityOutput) GetModules() []*ModuleSource {
	if x != nil {
		return x.Modules
	}
	return nil
}

type HttpDoActivityInput struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Method        string                 `protobuf:"bytes,1,opt,name=method,proto3" json:"method,omitempty"`
	Url           string                 `protobuf:"bytes,2,opt,name=url,proto3" json:"url,omitempty"`
	Header        map[string]*Values     `protobuf:"bytes,3,rep,name=header,proto3" json:"header,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
	Body          []byte                 `protobuf:"bytes,4,opt,name=body,proto3" json:"body,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *HttpDoActivityInput) Reset() {
	*x = HttpDoActivityInput{}
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[7]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *HttpDoActivityInput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HttpDoActivityInput) ProtoMessage() {}

func (x *HttpDoActivityInput) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[7]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HttpDoActivityInput.ProtoReflect.Descriptor instead.
func (*HttpDoActivityInput) Descriptor() ([]byte, []int) {
	return file_internal_module_autoflow_engine_engine_proto_rawDescGZIP(), []int{7}
}

func (x *HttpDoActivityInput) GetMethod() string {
	if x != nil {
		return x.Method
	}
	return ""
}

func (x *HttpDoActivityInput) GetUrl() string {
	if x != nil {
		return x.Url
	}
	return ""
}

func (x *HttpDoActivityInput) GetHeader() map[string]*Values {
	if x != nil {
		return x.Header
	}
	return nil
}

func (x *HttpDoActivityInput) GetBody() []byte {
	if x != nil {
		return x.Body
	}
	return nil
}

type HttpDoActivityOutput struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	StatusCode    uint32                 `protobuf:"varint,1,opt,name=status_code,json=statusCode,proto3" json:"status_code,omitempty"`
	Status        string                 `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
	Header        map[string]*Values     `protobuf:"bytes,3,rep,name=header,proto3" json:"header,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
	Body          []byte                 `protobuf:"bytes,4,opt,name=body,proto3" json:"body,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *HttpDoActivityOutput) Reset() {
	*x = HttpDoActivityOutput{}
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[8]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *HttpDoActivityOutput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HttpDoActivityOutput) ProtoMessage() {}

func (x *HttpDoActivityOutput) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[8]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HttpDoActivityOutput.ProtoReflect.Descriptor instead.
func (*HttpDoActivityOutput) Descriptor() ([]byte, []int) {
	return file_internal_module_autoflow_engine_engine_proto_rawDescGZIP(), []int{8}
}

func (x *HttpDoActivityOutput) GetStatusCode() uint32 {
	if x != nil {
		return x.StatusCode
	}
	return 0
}

func (x *HttpDoActivityOutput) GetStatus() string {
	if x != nil {
		return x.Status
	}
	return ""
}

func (x *HttpDoActivityOutput) GetHeader() map[string]*Values {
	if x != nil {
		return x.Header
	}
	return nil
}

func (x *HttpDoActivityOutput) GetBody() []byte {
	if x != nil {
		return x.Body
	}
	return nil
}

type ModuleSource struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	SourceName    string                 `protobuf:"bytes,1,opt,name=source_name,json=sourceName,proto3" json:"source_name,omitempty"`
	File          string                 `protobuf:"bytes,2,opt,name=file,proto3" json:"file,omitempty"`
	Data          []byte                 `protobuf:"bytes,3,opt,name=data,proto3" json:"data,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ModuleSource) Reset() {
	*x = ModuleSource{}
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[9]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ModuleSource) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ModuleSource) ProtoMessage() {}

func (x *ModuleSource) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[9]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ModuleSource.ProtoReflect.Descriptor instead.
func (*ModuleSource) Descriptor() ([]byte, []int) {
	return file_internal_module_autoflow_engine_engine_proto_rawDescGZIP(), []int{9}
}

func (x *ModuleSource) GetSourceName() string {
	if x != nil {
		return x.SourceName
	}
	return ""
}

func (x *ModuleSource) GetFile() string {
	if x != nil {
		return x.File
	}
	return ""
}

func (x *ModuleSource) GetData() []byte {
	if x != nil {
		return x.Data
	}
	return nil
}

type HandlerInfo struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	WorkflowId    string                 `protobuf:"bytes,1,opt,name=workflow_id,json=workflowId,proto3" json:"workflow_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *HandlerInfo) Reset() {
	*x = HandlerInfo{}
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[10]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *HandlerInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HandlerInfo) ProtoMessage() {}

func (x *HandlerInfo) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[10]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HandlerInfo.ProtoReflect.Descriptor instead.
func (*HandlerInfo) Descriptor() ([]byte, []int) {
	return file_internal_module_autoflow_engine_engine_proto_rawDescGZIP(), []int{10}
}

func (x *HandlerInfo) GetWorkflowId() string {
	if x != nil {
		return x.WorkflowId
	}
	return ""
}

type SignalPayload struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Payload       string                 `protobuf:"bytes,1,opt,name=payload,proto3" json:"payload,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SignalPayload) Reset() {
	*x = SignalPayload{}
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[11]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SignalPayload) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SignalPayload) ProtoMessage() {}

func (x *SignalPayload) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[11]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SignalPayload.ProtoReflect.Descriptor instead.
func (*SignalPayload) Descriptor() ([]byte, []int) {
	return file_internal_module_autoflow_engine_engine_proto_rawDescGZIP(), []int{11}
}

func (x *SignalPayload) GetPayload() string {
	if x != nil {
		return x.Payload
	}
	return ""
}

type Values struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Value         []string               `protobuf:"bytes,1,rep,name=value,proto3" json:"value,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *Values) Reset() {
	*x = Values{}
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[12]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *Values) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Values) ProtoMessage() {}

func (x *Values) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_autoflow_engine_engine_proto_msgTypes[12]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Values.ProtoReflect.Descriptor instead.
func (*Values) Descriptor() ([]byte, []int) {
	return file_internal_module_autoflow_engine_engine_proto_rawDescGZIP(), []int{12}
}

func (x *Values) GetValue() []string {
	if x != nil {
		return x.Value
	}
	return nil
}

var File_internal_module_autoflow_engine_engine_proto protoreflect.FileDescriptor

var file_internal_module_autoflow_engine_engine_proto_rawDesc = string([]byte{
	0x0a, 0x2c, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x6d, 0x6f, 0x64, 0x75, 0x6c,
	0x65, 0x2f, 0x61, 0x75, 0x74, 0x6f, 0x66, 0x6c, 0x6f, 0x77, 0x2f, 0x65, 0x6e, 0x67, 0x69, 0x6e,
	0x65, 0x2f, 0x65, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1c,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x61, 0x75, 0x74,
	0x6f, 0x66, 0x6c, 0x6f, 0x77, 0x2e, 0x65, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x1a, 0x15, 0x70, 0x6b,
	0x67, 0x2f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x2f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x22, 0xa7, 0x02, 0x0a, 0x12, 0x48, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x45, 0x76,
	0x65, 0x6e, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x34, 0x0a, 0x05, 0x65, 0x76,
	0x65, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x2e, 0x43,
	0x6c, 0x6f, 0x75, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x52, 0x05, 0x65, 0x76, 0x65, 0x6e, 0x74,
	0x12, 0x3e, 0x0a, 0x0c, 0x66, 0x6c, 0x6f, 0x77, 0x5f, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x2e, 0x50, 0x72, 0x6f, 0x6a,
	0x65, 0x63, 0x74, 0x52, 0x0b, 0x66, 0x6c, 0x6f, 0x77, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74,
	0x12, 0x5d, 0x0a, 0x09, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x18, 0x03, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x3f, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65,
	0x6e, 0x74, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x66, 0x6c, 0x6f, 0x77, 0x2e, 0x65, 0x6e, 0x67, 0x69,
	0x6e, 0x65, 0x2e, 0x48, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x45,
	0x6e, 0x74, 0x72, 0x79, 0x52, 0x09, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x1a,
	0x3c, 0x0a, 0x0e, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x45, 0x6e, 0x74, 0x72,
	0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03,
	0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0xd3, 0x02,
	0x0a, 0x18, 0x48, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x57, 0x6f, 0x72,
	0x6b, 0x66, 0x6c, 0x6f, 0x77, 0x49, 0x6e, 0x70, 0x75, 0x74, 0x12, 0x34, 0x0a, 0x05, 0x65, 0x76,
	0x65, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x2e, 0x43,
	0x6c, 0x6f, 0x75, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x52, 0x05, 0x65, 0x76, 0x65, 0x6e, 0x74,
	0x12, 0x3e, 0x0a, 0x0c, 0x66, 0x6c, 0x6f, 0x77, 0x5f, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x2e, 0x50, 0x72, 0x6f, 0x6a,
	0x65, 0x63, 0x74, 0x52, 0x0b, 0x66, 0x6c, 0x6f, 0x77, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74,
	0x12, 0x1e, 0x0a, 0x0a, 0x65, 0x6e, 0x74, 0x72, 0x79, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x65, 0x6e, 0x74, 0x72, 0x79, 0x70, 0x6f, 0x69, 0x6e, 0x74,
	0x12, 0x63, 0x0a, 0x09, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x18, 0x04, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x45, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65,
	0x6e, 0x74, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x66, 0x6c, 0x6f, 0x77, 0x2e, 0x65, 0x6e, 0x67, 0x69,
	0x6e, 0x65, 0x2e, 0x48, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x57, 0x6f,
	0x72, 0x6b, 0x66, 0x6c, 0x6f, 0x77, 0x49, 0x6e, 0x70, 0x75, 0x74, 0x2e, 0x56, 0x61, 0x72, 0x69,
	0x61, 0x62, 0x6c, 0x65, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x09, 0x76, 0x61, 0x72, 0x69,
	0x61, 0x62, 0x6c, 0x65, 0x73, 0x1a, 0x3c, 0x0a, 0x0e, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
	0x65, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c,
	0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a,
	0x02, 0x38, 0x01, 0x22, 0x1b, 0x0a, 0x19, 0x48, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x45, 0x76, 0x65,
	0x6e, 0x74, 0x57, 0x6f, 0x72, 0x6b, 0x66, 0x6c, 0x6f, 0x77, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74,
	0x22, 0xe9, 0x03, 0x0a, 0x1c, 0x52, 0x75, 0x6e, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x48, 0x61, 0x6e,
	0x64, 0x6c, 0x65, 0x72, 0x57, 0x6f, 0x72, 0x6b, 0x66, 0x6c, 0x6f, 0x77, 0x49, 0x6e, 0x70, 0x75,
	0x74, 0x12, 0x34, 0x0a, 0x05, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1e, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e,
	0x65, 0x76, 0x65, 0x6e, 0x74, 0x2e, 0x43, 0x6c, 0x6f, 0x75, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74,
	0x52, 0x05, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x3e, 0x0a, 0x0c, 0x66, 0x6c, 0x6f, 0x77, 0x5f,
	0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x65, 0x76, 0x65,
	0x6e, 0x74, 0x2e, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x52, 0x0b, 0x66, 0x6c, 0x6f, 0x77,
	0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x12, 0x1e, 0x0a, 0x0a, 0x65, 0x6e, 0x74, 0x72, 0x79,
	0x70, 0x6f, 0x69, 0x6e, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x65, 0x6e, 0x74,
	0x72, 0x79, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x12, 0x44, 0x0a, 0x07, 0x6d, 0x6f, 0x64, 0x75, 0x6c,
	0x65, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2a, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x66, 0x6c, 0x6f, 0x77,
	0x2e, 0x65, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x2e, 0x4d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x53, 0x6f,
	0x75, 0x72, 0x63, 0x65, 0x52, 0x07, 0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x73, 0x12, 0x18, 0x0a,
	0x07, 0x68, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x72, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x07,
	0x68, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x72, 0x12, 0x2c, 0x0a, 0x12, 0x77, 0x6f, 0x72, 0x6b, 0x66,
	0x6c, 0x6f, 0x77, 0x5f, 0x69, 0x64, 0x5f, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x18, 0x06, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x10, 0x77, 0x6f, 0x72, 0x6b, 0x66, 0x6c, 0x6f, 0x77, 0x49, 0x64, 0x50,
	0x72, 0x65, 0x66, 0x69, 0x78, 0x12, 0x67, 0x0a, 0x09, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
	0x65, 0x73, 0x18, 0x07, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x49, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x66, 0x6c, 0x6f, 0x77,
	0x2e, 0x65, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x2e, 0x52, 0x75, 0x6e, 0x45, 0x76, 0x65, 0x6e, 0x74,
	0x48, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x72, 0x57, 0x6f, 0x72, 0x6b, 0x66, 0x6c, 0x6f, 0x77, 0x49,
	0x6e, 0x70, 0x75, 0x74, 0x2e, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x45, 0x6e,
	0x74, 0x72, 0x79, 0x52, 0x09, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x1a, 0x3c,
	0x0a, 0x0e, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79,
	0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b,
	0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0x1f, 0x0a, 0x1d,
	0x52, 0x75, 0x6e, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x48, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x72, 0x57,
	0x6f, 0x72, 0x6b, 0x66, 0x6c, 0x6f, 0x77, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x22, 0xb9, 0x01,
	0x0a, 0x21, 0x4c, 0x6f, 0x61, 0x64, 0x41, 0x6c, 0x6c, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x48, 0x61,
	0x6e, 0x64, 0x6c, 0x65, 0x72, 0x73, 0x41, 0x63, 0x74, 0x69, 0x76, 0x69, 0x74, 0x79, 0x49, 0x6e,
	0x70, 0x75, 0x74, 0x12, 0x34, 0x0a, 0x05, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e,
	0x74, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x2e, 0x43, 0x6c, 0x6f, 0x75, 0x64, 0x45, 0x76, 0x65,
	0x6e, 0x74, 0x52, 0x05, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x3e, 0x0a, 0x0c, 0x66, 0x6c, 0x6f,
	0x77, 0x5f, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x1b, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x65,
	0x76, 0x65, 0x6e, 0x74, 0x2e, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x52, 0x0b, 0x66, 0x6c,
	0x6f, 0x77, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x12, 0x1e, 0x0a, 0x0a, 0x65, 0x6e, 0x74,
	0x72, 0x79, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x65,
	0x6e, 0x74, 0x72, 0x79, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x22, 0xb1, 0x01, 0x0a, 0x22, 0x4c, 0x6f,
	0x61, 0x64, 0x41, 0x6c, 0x6c, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x48, 0x61, 0x6e, 0x64, 0x6c, 0x65,
	0x72, 0x73, 0x41, 0x63, 0x74, 0x69, 0x76, 0x69, 0x74, 0x79, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74,
	0x12, 0x45, 0x0a, 0x08, 0x68, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x72, 0x73, 0x18, 0x01, 0x20, 0x03,
	0x28, 0x0b, 0x32, 0x29, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e,
	0x74, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x66, 0x6c, 0x6f, 0x77, 0x2e, 0x65, 0x6e, 0x67, 0x69, 0x6e,
	0x65, 0x2e, 0x48, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x08, 0x68,
	0x61, 0x6e, 0x64, 0x6c, 0x65, 0x72, 0x73, 0x12, 0x44, 0x0a, 0x07, 0x6d, 0x6f, 0x64, 0x75, 0x6c,
	0x65, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2a, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x66, 0x6c, 0x6f, 0x77,
	0x2e, 0x65, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x2e, 0x4d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x53, 0x6f,
	0x75, 0x72, 0x63, 0x65, 0x52, 0x07, 0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x73, 0x22, 0x8b, 0x02,
	0x0a, 0x13, 0x48, 0x74, 0x74, 0x70, 0x44, 0x6f, 0x41, 0x63, 0x74, 0x69, 0x76, 0x69, 0x74, 0x79,
	0x49, 0x6e, 0x70, 0x75, 0x74, 0x12, 0x16, 0x0a, 0x06, 0x6d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x6d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x12, 0x10, 0x0a,
	0x03, 0x75, 0x72, 0x6c, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x75, 0x72, 0x6c, 0x12,
	0x55, 0x0a, 0x06, 0x68, 0x65, 0x61, 0x64, 0x65, 0x72, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32,
	0x3d, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x61,
	0x75, 0x74, 0x6f, 0x66, 0x6c, 0x6f, 0x77, 0x2e, 0x65, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x2e, 0x48,
	0x74, 0x74, 0x70, 0x44, 0x6f, 0x41, 0x63, 0x74, 0x69, 0x76, 0x69, 0x74, 0x79, 0x49, 0x6e, 0x70,
	0x75, 0x74, 0x2e, 0x48, 0x65, 0x61, 0x64, 0x65, 0x72, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x06,
	0x68, 0x65, 0x61, 0x64, 0x65, 0x72, 0x12, 0x12, 0x0a, 0x04, 0x62, 0x6f, 0x64, 0x79, 0x18, 0x04,
	0x20, 0x01, 0x28, 0x0c, 0x52, 0x04, 0x62, 0x6f, 0x64, 0x79, 0x1a, 0x5f, 0x0a, 0x0b, 0x48, 0x65,
	0x61, 0x64, 0x65, 0x72, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x3a, 0x0a, 0x05, 0x76,
	0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x24, 0x2e, 0x67, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x66, 0x6c,
	0x6f, 0x77, 0x2e, 0x65, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x2e, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x73,
	0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0x9c, 0x02, 0x0a, 0x14,
	0x48, 0x74, 0x74, 0x70, 0x44, 0x6f, 0x41, 0x63, 0x74, 0x69, 0x76, 0x69, 0x74, 0x79, 0x4f, 0x75,
	0x74, 0x70, 0x75, 0x74, 0x12, 0x1f, 0x0a, 0x0b, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x5f, 0x63,
	0x6f, 0x64, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x0a, 0x73, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x43, 0x6f, 0x64, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x56, 0x0a,
	0x06, 0x68, 0x65, 0x61, 0x64, 0x65, 0x72, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x3e, 0x2e,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x61, 0x75, 0x74,
	0x6f, 0x66, 0x6c, 0x6f, 0x77, 0x2e, 0x65, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x2e, 0x48, 0x74, 0x74,
	0x70, 0x44, 0x6f, 0x41, 0x63, 0x74, 0x69, 0x76, 0x69, 0x74, 0x79, 0x4f, 0x75, 0x74, 0x70, 0x75,
	0x74, 0x2e, 0x48, 0x65, 0x61, 0x64, 0x65, 0x72, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x06, 0x68,
	0x65, 0x61, 0x64, 0x65, 0x72, 0x12, 0x12, 0x0a, 0x04, 0x62, 0x6f, 0x64, 0x79, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x0c, 0x52, 0x04, 0x62, 0x6f, 0x64, 0x79, 0x1a, 0x5f, 0x0a, 0x0b, 0x48, 0x65, 0x61,
	0x64, 0x65, 0x72, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x3a, 0x0a, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x24, 0x2e, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x66, 0x6c, 0x6f,
	0x77, 0x2e, 0x65, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x2e, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x52,
	0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0x57, 0x0a, 0x0c, 0x4d, 0x6f,
	0x64, 0x75, 0x6c, 0x65, 0x53, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x12, 0x1f, 0x0a, 0x0b, 0x73, 0x6f,
	0x75, 0x72, 0x63, 0x65, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x0a, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x66,
	0x69, 0x6c, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x66, 0x69, 0x6c, 0x65, 0x12,
	0x12, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x04, 0x64,
	0x61, 0x74, 0x61, 0x22, 0x2e, 0x0a, 0x0b, 0x48, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x72, 0x49, 0x6e,
	0x66, 0x6f, 0x12, 0x1f, 0x0a, 0x0b, 0x77, 0x6f, 0x72, 0x6b, 0x66, 0x6c, 0x6f, 0x77, 0x5f, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x77, 0x6f, 0x72, 0x6b, 0x66, 0x6c, 0x6f,
	0x77, 0x49, 0x64, 0x22, 0x29, 0x0a, 0x0d, 0x53, 0x69, 0x67, 0x6e, 0x61, 0x6c, 0x50, 0x61, 0x79,
	0x6c, 0x6f, 0x61, 0x64, 0x12, 0x18, 0x0a, 0x07, 0x70, 0x61, 0x79, 0x6c, 0x6f, 0x61, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x70, 0x61, 0x79, 0x6c, 0x6f, 0x61, 0x64, 0x22, 0x1e,
	0x0a, 0x06, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75,
	0x65, 0x18, 0x01, 0x20, 0x03, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x42, 0x5c,
	0x5a, 0x5a, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x67, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x2d, 0x6f, 0x72, 0x67, 0x2f, 0x63, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x2d,
	0x69, 0x6e, 0x74, 0x65, 0x67, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2d, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2f, 0x76, 0x31, 0x37, 0x2f, 0x69, 0x6e, 0x74,
	0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x2f, 0x61, 0x75, 0x74,
	0x6f, 0x66, 0x6c, 0x6f, 0x77, 0x2f, 0x65, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x62, 0x06, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x33,
})

var (
	file_internal_module_autoflow_engine_engine_proto_rawDescOnce sync.Once
	file_internal_module_autoflow_engine_engine_proto_rawDescData []byte
)

func file_internal_module_autoflow_engine_engine_proto_rawDescGZIP() []byte {
	file_internal_module_autoflow_engine_engine_proto_rawDescOnce.Do(func() {
		file_internal_module_autoflow_engine_engine_proto_rawDescData = protoimpl.X.CompressGZIP(unsafe.Slice(unsafe.StringData(file_internal_module_autoflow_engine_engine_proto_rawDesc), len(file_internal_module_autoflow_engine_engine_proto_rawDesc)))
	})
	return file_internal_module_autoflow_engine_engine_proto_rawDescData
}

var file_internal_module_autoflow_engine_engine_proto_msgTypes = make([]protoimpl.MessageInfo, 18)
var file_internal_module_autoflow_engine_engine_proto_goTypes = []any{
	(*HandleEventRequest)(nil),                 // 0: gitlab.agent.autoflow.engine.HandleEventRequest
	(*HandleEventWorkflowInput)(nil),           // 1: gitlab.agent.autoflow.engine.HandleEventWorkflowInput
	(*HandleEventWorkflowOutput)(nil),          // 2: gitlab.agent.autoflow.engine.HandleEventWorkflowOutput
	(*RunEventHandlerWorkflowInput)(nil),       // 3: gitlab.agent.autoflow.engine.RunEventHandlerWorkflowInput
	(*RunEventHandlerWorkflowOutput)(nil),      // 4: gitlab.agent.autoflow.engine.RunEventHandlerWorkflowOutput
	(*LoadAllEventHandlersActivityInput)(nil),  // 5: gitlab.agent.autoflow.engine.LoadAllEventHandlersActivityInput
	(*LoadAllEventHandlersActivityOutput)(nil), // 6: gitlab.agent.autoflow.engine.LoadAllEventHandlersActivityOutput
	(*HttpDoActivityInput)(nil),                // 7: gitlab.agent.autoflow.engine.HttpDoActivityInput
	(*HttpDoActivityOutput)(nil),               // 8: gitlab.agent.autoflow.engine.HttpDoActivityOutput
	(*ModuleSource)(nil),                       // 9: gitlab.agent.autoflow.engine.ModuleSource
	(*HandlerInfo)(nil),                        // 10: gitlab.agent.autoflow.engine.HandlerInfo
	(*SignalPayload)(nil),                      // 11: gitlab.agent.autoflow.engine.SignalPayload
	(*Values)(nil),                             // 12: gitlab.agent.autoflow.engine.Values
	nil,                                        // 13: gitlab.agent.autoflow.engine.HandleEventRequest.VariablesEntry
	nil,                                        // 14: gitlab.agent.autoflow.engine.HandleEventWorkflowInput.VariablesEntry
	nil,                                        // 15: gitlab.agent.autoflow.engine.RunEventHandlerWorkflowInput.VariablesEntry
	nil,                                        // 16: gitlab.agent.autoflow.engine.HttpDoActivityInput.HeaderEntry
	nil,                                        // 17: gitlab.agent.autoflow.engine.HttpDoActivityOutput.HeaderEntry
	(*event.CloudEvent)(nil),                   // 18: gitlab.agent.event.CloudEvent
	(*event.Project)(nil),                      // 19: gitlab.agent.event.Project
}
var file_internal_module_autoflow_engine_engine_proto_depIdxs = []int32{
	18, // 0: gitlab.agent.autoflow.engine.HandleEventRequest.event:type_name -> gitlab.agent.event.CloudEvent
	19, // 1: gitlab.agent.autoflow.engine.HandleEventRequest.flow_project:type_name -> gitlab.agent.event.Project
	13, // 2: gitlab.agent.autoflow.engine.HandleEventRequest.variables:type_name -> gitlab.agent.autoflow.engine.HandleEventRequest.VariablesEntry
	18, // 3: gitlab.agent.autoflow.engine.HandleEventWorkflowInput.event:type_name -> gitlab.agent.event.CloudEvent
	19, // 4: gitlab.agent.autoflow.engine.HandleEventWorkflowInput.flow_project:type_name -> gitlab.agent.event.Project
	14, // 5: gitlab.agent.autoflow.engine.HandleEventWorkflowInput.variables:type_name -> gitlab.agent.autoflow.engine.HandleEventWorkflowInput.VariablesEntry
	18, // 6: gitlab.agent.autoflow.engine.RunEventHandlerWorkflowInput.event:type_name -> gitlab.agent.event.CloudEvent
	19, // 7: gitlab.agent.autoflow.engine.RunEventHandlerWorkflowInput.flow_project:type_name -> gitlab.agent.event.Project
	9,  // 8: gitlab.agent.autoflow.engine.RunEventHandlerWorkflowInput.modules:type_name -> gitlab.agent.autoflow.engine.ModuleSource
	15, // 9: gitlab.agent.autoflow.engine.RunEventHandlerWorkflowInput.variables:type_name -> gitlab.agent.autoflow.engine.RunEventHandlerWorkflowInput.VariablesEntry
	18, // 10: gitlab.agent.autoflow.engine.LoadAllEventHandlersActivityInput.event:type_name -> gitlab.agent.event.CloudEvent
	19, // 11: gitlab.agent.autoflow.engine.LoadAllEventHandlersActivityInput.flow_project:type_name -> gitlab.agent.event.Project
	10, // 12: gitlab.agent.autoflow.engine.LoadAllEventHandlersActivityOutput.handlers:type_name -> gitlab.agent.autoflow.engine.HandlerInfo
	9,  // 13: gitlab.agent.autoflow.engine.LoadAllEventHandlersActivityOutput.modules:type_name -> gitlab.agent.autoflow.engine.ModuleSource
	16, // 14: gitlab.agent.autoflow.engine.HttpDoActivityInput.header:type_name -> gitlab.agent.autoflow.engine.HttpDoActivityInput.HeaderEntry
	17, // 15: gitlab.agent.autoflow.engine.HttpDoActivityOutput.header:type_name -> gitlab.agent.autoflow.engine.HttpDoActivityOutput.HeaderEntry
	12, // 16: gitlab.agent.autoflow.engine.HttpDoActivityInput.HeaderEntry.value:type_name -> gitlab.agent.autoflow.engine.Values
	12, // 17: gitlab.agent.autoflow.engine.HttpDoActivityOutput.HeaderEntry.value:type_name -> gitlab.agent.autoflow.engine.Values
	18, // [18:18] is the sub-list for method output_type
	18, // [18:18] is the sub-list for method input_type
	18, // [18:18] is the sub-list for extension type_name
	18, // [18:18] is the sub-list for extension extendee
	0,  // [0:18] is the sub-list for field type_name
}

func init() { file_internal_module_autoflow_engine_engine_proto_init() }
func file_internal_module_autoflow_engine_engine_proto_init() {
	if File_internal_module_autoflow_engine_engine_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: unsafe.Slice(unsafe.StringData(file_internal_module_autoflow_engine_engine_proto_rawDesc), len(file_internal_module_autoflow_engine_engine_proto_rawDesc)),
			NumEnums:      0,
			NumMessages:   18,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_internal_module_autoflow_engine_engine_proto_goTypes,
		DependencyIndexes: file_internal_module_autoflow_engine_engine_proto_depIdxs,
		MessageInfos:      file_internal_module_autoflow_engine_engine_proto_msgTypes,
	}.Build()
	File_internal_module_autoflow_engine_engine_proto = out.File
	file_internal_module_autoflow_engine_engine_proto_goTypes = nil
	file_internal_module_autoflow_engine_engine_proto_depIdxs = nil
}
